Loading...
Searching...
No Matches
AVStreamGroupLCEVC Struct Reference

AVStreamGroupLCEVC is meant to define the relation between video streams and a data stream containing LCEVC enhancement layer NALUs. More...

`#include <libavformat/avformat.h>`

## Data Fields

const AVClass * | av_class
unsigned int | lcevc_index
| Index of the LCEVC data stream in AVStreamGroup.
int | width
| Width of the final stream for presentation.
int | height
| Height of the final image for presentation.

## Detailed Description

AVStreamGroupLCEVC is meant to define the relation between video streams and a data stream containing LCEVC enhancement layer NALUs.

No more than one stream of codec_type AVMEDIA_TYPE_DATA shall be present, and it must be of codec_id AV_CODEC_ID_LCEVC.

Definition at line 1093 of file avformat.h.

## Field Documentation

## av_class

const AVClass* AVStreamGroupLCEVC::av_class

Definition at line 1094 of file avformat.h.

## lcevc_index

unsigned int AVStreamGroupLCEVC::lcevc_index

Index of the LCEVC data stream in AVStreamGroup.

Definition at line 1099 of file avformat.h.

## width

int AVStreamGroupLCEVC::width

Width of the final stream for presentation.

Definition at line 1103 of file avformat.h.

## height

int AVStreamGroupLCEVC::height

Height of the final image for presentation.

Definition at line 1107 of file avformat.h.

The documentation for this struct was generated from the following file:

- libavformat/avformat.h